## org.apache.batik.util
Interface RunnableQueue.RunHandler

All Known Implementing Classes:
  UpdateManager.UpdateManagerRunHander

Enclosing interface:
  RunnableQueue

public static interface RunnableQueue.RunHandler

This interface must be implemented by an object which wants to be notified of run events.

Method Summary
`void` `executionResumed(RunnableQueue rq)` Called when the execution of the queue has been resumed.
`void` `executionSuspended(RunnableQueue rq)` Called when the execution of the queue has been suspended.
`void` `runnableInvoked(RunnableQueue rq, java.lang.Runnable r)` Called when the given Runnable has just been invoked and has returned.

Method Detail

### runnableInvoked

    public void runnableInvoked(RunnableQueue rq,
                                java.lang.Runnable r)

  Called when the given Runnable has just been invoked and has returned.

### executionSuspended

    public void executionSuspended(RunnableQueue rq)

  Called when the execution of the queue has been suspended.

### executionResumed

    public void executionResumed(RunnableQueue rq)

  Called when the execution of the queue has been resumed.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.